<style>
.tdAcciones {
	width: 80px !important;
	vertical-align: middle;
}

.tdSemaforos{
		width:100px !important;
	}
.tConsultaCasos1{
	display: none;
}

.ta {
    width: 315px !important;
}

.ti {
    width: 440px !important;
}

.nombreClienteClass{
	width: 425px !important;
}

.cdConsultorClass{

	width: 425px !important;

}
.numerosClass{
	width: 80px;
}

.numeroClass{
	width: 131px;
}

.respuestaClass{
width: 245px !important;
}

</style>
<div>
	<form id="MSCAVE01010">
		<input type="hidden" class="date" name="date" id="date" /> <input
			type="hidden" class="money" name="money" id="money" />
		<hr>
		<div class="panel panel-primary" id="ConsultaCasos" style="padding: 0px; margin: 0px;">
		
			<div class="panel-heading" style="padding-top: 5px;">
			<a data-toggle="collapse" data-parent="#ConsultaCasos" href="#cabeceraConsultaCasos" onclick="invocarServicios();Mostrar();"  style="color:white;">Par&aacute;metros de B&uacute;squeda</a>
				</div>
				<div id="cabeceraConsultaCasos" class="panel-collapse collapse">
			<div class="panel-body" style="margin: 10px;">
				<table class="tableForm" style="margin-left:20px;">
					<tr style="height: 18px !important;">
						<td class="tdLabel">
							<label class="control-label" for="">Caso</label>
						</td>
						<td class="tdLabel">
							<label class="control-label" for="">Folio Alerta</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">No. Cliente</label>
						</td>
						<td class="tdLabel" colspan="4">
							<label class="control-label" for="">Nombre</label>
						</td>
					</tr>
					<tr>
						<td class="tdElement">
							<input type="text" name="nuCaso" id="nuCaso" class="form-control ts" onKeyUp="return limiteAL(event,this.value,10)" onKeyDown="return limiteAL(event,this.value,10)">
						</td>
						<td class="tdElement">
							<input type="text" name="nuFolio" id="nuFolio" class="form-control ts" onKeyUp="return limiteAL(event,this.value,10)" onKeyDown="return limiteAL(event,this.value,10)">
						</td>
						<td class="tdElement" colspan="2">
							<input type="text" name="numCliente" id="numCliente" class="form-control ts" onKeyUp="return limiteAL(event,this.value,8)" onKeyDown="return limiteAL(event,this.value,8)">
						</td>
						<td class="tdElement" colspan="4">
							<input type="text" name="nomCliente" id="nomCliente" class="form-control tm nombreClienteClass"  onKeyUp="return limiteAL(event,this.value,60)" onKeyDown="return limiteAL(event,this.value,60)">
						</td>
					</tr>
					<tr style="height: 18px !important;">
						<td class="tdLabel">
							<label class="control-label" for="">Cuenta</label>
						</td>
						<td class="tdLabel">
							<label class="control-label" for="">Tipolog&iacute;a</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">Segmento PLD</label>
						</td>
						<td class="tdLabel" colspan="4">
							<label class="control-label">Consultor</label>
						</td>
					</tr>
					<tr>
						<td class="tdElement">
							<input type="text" name="numCuenta" id="numCuenta" class="form-control ts" onKeyUp="return limiteAL(event,this.value,20)" onKeyDown="return limiteAL(event,this.value,20)">
						</td>
						<td class="tdElement">
							<select class="ts" name="cmdTipologia" id="cmdTipologia">
								<option value="-1">---Seleccione---</option>
								<option value="C8">C8</option>
							</select>
						</td>
						<td class="tdElement" colspan="2">
							<select class="ts" name="cdSegmento" id="cdSegmento">
								<option value="-1">---Seleccione---</option>
								<option value="1">1</option>
							</select>
						</td>
						<td class="tdElement" colspan="4">
							<select class="tm cdConsultorClass" name="cdConsultor" id="cdConsultor" >
								<option value="-1">---Seleccione---</option>
							</select>
						</td>
					</tr>
					<tr style="height: 18px !important;">
						<td class="tdLabel">
							<label class="control-label">Dictamen Preliminar</label>
						</td>
						<td class="tdLabel">
							<label class="control-label">Dictamen Final</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">Calificaci&oacute;n Modelo</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">Pts. Matriz Criterios</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">Respuesta Funcionario</label>
						</td>
					</tr>
					<tr style="height: 18px !important;">
						<td class="tdElement">
							<select class="ts" name="cdDictamenP" id="cdDictamenP">
								<option value="-1">---Seleccione---</option>
								
							</select>
						</td>
						<td class="tdElement">
							<select class="ts" name="cdDictamenF" id="cdDictamenF">
								<option value="-1">---Seleccione---</option>
								<option value="1">1</option>
							</select>
						</td>
						<td class="tdElement" style="width: 50px;">
							<select name="cdCalificacion" id="cdCalificacion" style="width: 50px;">
								<option value="1">1</option>
							</select>
						</td>
						<td class="tdElement" style="text-align: left; width: 130px;">
							<input type="text" name="nuCalificacion" id="nuCalificacion" class="form-control numerosClass"  onKeyUp="return limiteAL(event,this.value,3)" onKeyDown="return limiteAL(event,this.value,3)">
						</td>
						<td class="tdElement" style="width: 50px;">
							<select name="cdPtsMatriz" id="cdPtsMatriz" style="width: 50px;">
								<option value="1">1</option>
							</select>
						</td>
						<td class="tdElement" style="text-align: left; width: 130px;">
							<input type="text" name="nuPtsMatriz" id="nuPtsMatriz" class="form-control numerosClass"  onKeyUp="return limiteAL(event,this.value,3)" onKeyDown="return limiteAL(event,this.value,3)">
						</td>
						<td class="tdElement" colspan="2">
							<select class="ts respuestaClass" name="cdRespuesta" id="cdRespuesta" >
								<option value="-1">---Seleccione---</option>
								<option value="1">1</option>
							</select>
						</td>
						
					</tr>
					<tr style="height: 18px !important;">
						<td class="tdLabel" >
							<label class="control-label" for="" >Sesi&oacute;n</label>
						</td>
						<td class="tdLabel" >
							<label class="control-label" for="" >Escenario</label>
						</td>
						<td class="tdLabel" colspan="2">
							<label class="control-label" for="">Importe</label>
						</td>
					</tr>
					<tr style="height: 18px !important;">
						<td class="tdElement">
							<select class="ts" name="cdSesion" id="cdSesion">
								<option value="-1">---Seleccione---</option>
							</select>
						</td>
						<td class="tdElement">
							<select class="ts" name="cdEscenario" id="cdEscenario">
								<option value="-1">---Seleccione---</option>
							</select>
						</td>
						<td class="tdElement" style="width: 50px;">
							<select name="cdImporte" id="cdImporte" style="width: 50px;">
								<option value="1">1</option>
							</select>
						</td>
						<td class="tdElement" style="text-align: left; width: 130px;">
							<input type="text" name="imImporte" id="imImporte" class="form-control moneda numeroClass"  onKeyUp="return limiteAL(event,this.value,18)" onKeyDown="return limiteAL(event,this.value,18)">
						</td>
					</tr>
					<tr>
						<td colspan="8">
							<table class="tableForm" border="0">
								<tr>
									<td style="height:100px;">
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Alerta:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhAlertaDel" id="fhAlertaDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhAlertaAl" id="fhAlertaAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
									<td>
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Env&iacute;o:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhEnvioDel" id="fhEnvioDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhEnvioAl" id="fhEnvioAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
									<td>
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Venc. Revisi&oacute;n:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencRevisionDel" id="fhVencRevisionDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencRevisionAl" id="fhVencRevisionAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
								</tr>
								<tr>
									<td>
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Asignaci&oacute;n:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhRevisionDel" id="fhRevisionDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhRevisionAl" id="fhRevisionAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
									<td>
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Venc. Liberaci&oacute;n SIA:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencLiberacionDel" id="fhVencLiberacionDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencLiberacionAl" id="fhVencLiberacionAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
									<td>
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Liberaci&oacute;n SIA:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhLiberacionDel" id="fhLiberacionDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhLiberacionAl" id="fhLiberacionAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
								</tr>
								
							<tr>
									<td style="height:100px;">
										<div class="panel panel-default" style="margin:0px;padding: 0px; width: 300px; height: 80px;">
											<div class="panel-heading" style="padding-top: 5px; text-align: left;">Fecha Venc. Reporte Autoridad:</div>
											<div class="panel-body">
												<table class="tableForm" border="0" style="margin: 10px;">
													<tr>
														<td style="text-align: left;"><label>Del:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencReporteDel" id="fhVencReporteDel" class="form-control date">
														</td>
														<td style="text-align: left;"><label>Al:</label></td>
														<td class="tdElement" style="text-align: left;"><input
															type="text" name="fhVencReporteAl" id="fhVencReporteAl" class="form-control date">
														</td>
													</tr>
												</table>
											</div>
										</div>
									</td>
									
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</div>
			</div>
		</div>
		<table class="tableForm" >
			<tr>
				<td style="text-align: right; padding-top: 10px;">
				
					<button style="display:none;" id="btnBuscar" name="btnBuscar" class="btn btn-primary btn-sm btn-100"
						type="button" onclick="">Buscar</button>
					<button style="display:none;" id="btnLimpiar" name="" class="btn btn-primary btn-sm btn-100"
						type="button" onclick="borrarDatos()">Limpiar</button>
					
						</td>
						
			</tr>
		</table>
		<br />
		<div class="panel panel-primary" id="" style="padding: 0px; margin: 0px; border: 0px;">
			<div class="panel-heading" style="padding-top: 5px;">
				Consulta de Casos
			</div>
			<div class="panel-body">
				<div class="table-responsive">
					<table class="table table-nonfluid" id="tablaConsultadeCasos" data-detail-view="true" data-detail-formatter="formatterDetailConsultadeCasos" data-filter-control="false">
						<thead>
							<tr>
								<th data-field="cdCaso" data-sortable="true" class="tConsultaCasos">Caso</th>
								<th data-field="nuFolioAlerta" data-sortable="true" class="tConsultaCasos">Folio Alerta</th>
								<th data-field="nuCliente" data-sortable="true" class="tConsultaCasos">No. Cliente</th>
								<th data-field="nuCuenta" data-sortable="true" class="tConsultaCasos">Cuenta</th>
								<th data-field="nbCliente" data-sortable="true" class="tConsultaCasos">Nombre</th>
								<th data-field="cdTipologia" data-sortable="true" class="tConsultaCasos">Tipolog&iacute;a</th>
								<th class="tdSemaforos" data-field="fhVenRev" data-sortable="true" data-formatter="formatterVencimientoRevision" title="Fecha Vencimiento Revisi&oacute;n" class="tConsultaCasos">Fecha VR</th>
								<th class="tdSemaforos" data-field="fhVenLibSia" data-sortable="true"  data-formatter="formatterVencimientoLiberacion" title="Fecha Vencimiento Liberaci&oacute;n SIA" class="tConsultaCasos">Fecha VL SIA</th>
								<th class="tdSemaforos" data-field="fhRepAut" data-sortable="true"  data-formatter="formatterVencimientoReporte" title="Fecha Vencimiento Reporte Autoridad" class="tConsultaCasos">Fecha VRA</th>
								<th data-field="nbSistema" id="nbSistema" data-sortable="true"  class="tConsultaCasos1 sistema">Sistema/Origen</th>
								<th data-field="imAlerta" data-sortable="true" data-formatter="formatterMoney" data-visible="false" data-filter-control="select">Importe</th>
								<th data-field="nuScoreMdl" data-sortable="true" data-filter-control="select" data-visible="false" class="tConsultaCasos1">Calificaci&oacute;n Modelo</th>
								<th data-field="nuScoreMc" data-sortable="true" data-filter-control="select" data-visible="false" class="tConsultaCasos1">Score Matriz</th>
								<th data-field="cdRespuesta" data-sortable="true" data-filter-control="select" data-visible="false" class ="tConsultaCasos1">Respuesta</th>
								<th data-field="nbRespuesta" data-sortable="true" data-filter-control="input" data-visible="false" class ="tConsultaCasos1">Respuesta</th>
								<th data-field="nbDictamenP" data-sortable="true" data-filter-control="select" data-visible="false" class="tConsultaCasos1">Dictamen Preliminar</th>
								<th data-field="nbDictamenF" data-sortable="true" data-filter-control="select" data-visible="false" class="tConsultaCasos1">Dictamen Final</th>
								<th data-field="nbConsultor" data-sortable="true" data-filter-control="select" data-visible="false" class="tConsultaCasos1">Consultor</th>
								<th data-field="cdSesion" data-sortable="true" data-visible="false" data-filter-control="select" class="tConsultaCasos1">Sesion</th>
								<th data-field="nbSegmento" data-sortable="true"  class="tConsultaCasos1">Segmento PLD</th>
								<th data-field="fhAsignacion" data-sortable="true"  class="tConsultaCasos1" data-formatter="formatterDate" style="">Fecha de Asignaci&oacute;n</th>
								<th data-field="fhAlerta" data-sortable="true"  class="tConsultaCasos1" data-formatter="formatterDate" style="">Fecha de Alerta</th>
								<th data-field="nbPrioriAsig" data-sortable="true"  class="tConsultaCasos1">Prioridad</th>
								<th data-field="nbStCaso" data-sortable="true"  class="tConsultaCasos1">Estatus</th>
								<th class="tdAcciones" data-events="actionEvents" data-formatter="formatterRegistroCasosAsignados" data-valign="middle"></th>
							</tr>
						</thead>
					</table>
				</div>
			</div>
		</div>
		<table class="tableForm">
			<tr>
				<td style="text-align:right;padding-top:10px;">
					<button id="btnExportarConsultaCasos" name="btnExportarConsultaCasos" class="btn btn-primary btn-sm btn-100" type="button" style="width:150px;">Exportar</button>
				</td>
			</tr>
		</table>
		<br />
	</form>
	
	
</div>
<div class="modal fade" id="MSCAVE01002" style="width: 900px;"></div>
<div class="modal fade" id="MSCAVE01003" style="width: 900px;"></div>
<div class="modal fade" id="MSCAVE01008" style="width: 900px;"></div>
<script src="../js/vendor/jquery-validate/jquery.validate.js"></script>
<script src="../js/MSCAVE01010.js"></script>
<script src="../js/funcionesGenericas.js"></script>